Bug 24876 - Fix capitalization on patron search for holds
Summary: Fix capitalization on patron search for holds
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-16 06:52 UTC by Katrin Fischer
Modified: 2020-04-03 21:32 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05


Attachments
Bug 24876: Fix capitalization on patron search for holds (1.50 KB, patch)
2020-03-16 06:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24876: Fix capitalization on patron search for holds (2.22 KB, patch)
2020-03-16 07:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24876: Fix capitalization on patron search for holds (2.05 KB, patch)
2020-03-22 11:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24876: Fix capitalization on patron search for holds (2.11 KB, patch)
2020-03-22 11:35 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24876: Fix capitalization on patron search for holds (2.17 KB, patch)
2020-03-23 19:03 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-03-16 06:52:30 UTC

    
Comment 1 Katrin Fischer 2020-03-16 06:58:01 UTC
Created attachment 100721 [details] [review]
Bug 24876: Fix capitalization on patron search for holds

When placing a hold in the staff interface, the heading on the
search box reads: Search Patrons or clubs
The patch changes it to be Search patrons...  instead.
Also changes club id to club ID.

To test:
- Place a hold in the staff interface
- Verify the capitalization error
- Switch tabs to Clubs, see: club id
- Apply patch
- Verify it's all good now
Comment 2 Katrin Fischer 2020-03-16 07:07:53 UTC
Created attachment 100722 [details] [review]
Bug 24876: Fix capitalization on patron search for holds

When placing a hold in the staff interface, the heading on the
search box reads: Search Patrons or clubs
The patch changes it to be Search patrons...  instead.
Also changes club id to club ID.

To test:
- Place a hold in the staff interface
- Verify the capitalization error
- Switch tabs to Clubs, see: club id
- Apply patch
- Verify it's all good now
Comment 3 Bernardo Gonzalez Kriegel 2020-03-17 16:04:05 UTC
Sorry
Comment 4 Katrin Fischer 2020-03-22 11:11:34 UTC
Created attachment 101352 [details] [review]
Bug 24876: Fix capitalization on patron search for holds

When placing a hold in the staff interface, the heading on the
search box reads: Search Patrons or clubs
The patch changes it to be Search patrons...  instead.
Also changes club id to club ID.

To test:
- Place a hold in the staff interface
- Verify the capitalization error
- Switch tabs to Clubs, see: club id
- Apply patch
- Verify it's all good now
Comment 5 Katrin Fischer 2020-03-22 11:11:59 UTC
(In reply to Bernardo Gonzalez Kriegel from comment #3)
> Sorry

No need to - new patch attached :)
Comment 6 Bernardo Gonzalez Kriegel 2020-03-22 11:35:09 UTC
Created attachment 101354 [details] [review]
Bug 24876: Fix capitalization on patron search for holds

When placing a hold in the staff interface, the heading on the
search box reads: Search Patrons or clubs
The patch changes it to be Search patrons...  instead.
Also changes club id to club ID.

To test:
- Place a hold in the staff interface
- Verify the capitalization error
- Switch tabs to Clubs, see: club id
- Apply patch
- Verify it's all good now

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment 7 Nick Clemens 2020-03-23 19:03:20 UTC
Created attachment 101490 [details] [review]
Bug 24876: Fix capitalization on patron search for holds

When placing a hold in the staff interface, the heading on the
search box reads: Search Patrons or clubs
The patch changes it to be Search patrons...  instead.
Also changes club id to club ID.

To test:
- Place a hold in the staff interface
- Verify the capitalization error
- Switch tabs to Clubs, see: club id
- Apply patch
- Verify it's all good now

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Martin Renvoize 2020-03-24 09:30:29 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 9 Joy Nelson 2020-04-03 21:32:17 UTC
backported to 19.11.x for 19.11.05